## org.eclipse.jetty.webapp
Class TagLibConfiguration.TldDescriptor

    java.lang.Object
      org.eclipse.jetty.webapp.Descriptor
          org.eclipse.jetty.webapp.TagLibConfiguration.TldDescriptor

Enclosing class:
  TagLibConfiguration

    public static class TagLibConfiguration.TldDescriptor

extends Descriptor

Field Summary
`protected static XmlParser` `__parserSingleton`

Fields inherited from class org.eclipse.jetty.webapp.Descriptor
`_parser, _root, _validating, _xml`

Constructor Summary
`TagLibConfiguration.TldDescriptor(Resource xml)`

Method Summary
`void` `ensureParser()`
`XmlParser` `newParser()`
`void` `parse()`

Methods inherited from class org.eclipse.jetty.webapp.Descriptor
`getResource, getRoot, redirect, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __parserSingleton

    protected static XmlParser __parserSingleton

Constructor Detail

### TagLibConfiguration.TldDescriptor

    public TagLibConfiguration.TldDescriptor(Resource xml)

Method Detail

### ensureParser

    public void ensureParser()
                      throws ClassNotFoundException

  Specified by:
    `ensureParser` in class `Descriptor`
  Throws:
    `ClassNotFoundException`

### newParser

    public XmlParser newParser()
                        throws ClassNotFoundException

  Specified by:
    `newParser` in class `Descriptor`
  Throws:
    `ClassNotFoundException`

### parse

    public void parse()
               throws Exception

  Overrides:
    `parse` in class `Descriptor`
  Throws:
    `Exception`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.